From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/xkbcommon/
Date: Sat, 6 Jul 2024 05:29:32 +0000 (UTC) [thread overview]
Message-ID: <1720243760.3d15107bf45fe69c12c4464cdb8a802ff378e415.mgorny@gentoo> (raw)
commit: 3d15107bf45fe69c12c4464cdb8a802ff378e415
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 6 05:05:49 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 6 05:29:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d15107b
dev-python/xkbcommon: Bump to 1.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/xkbcommon/Manifest | 1 +
dev-python/xkbcommon/xkbcommon-1.5.ebuild | 38 +++++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-python/xkbcommon/Manifest b/dev-python/xkbcommon/Manifest
index 0455f348a7be..db7797541650 100644
--- a/dev-python/xkbcommon/Manifest
+++ b/dev-python/xkbcommon/Manifest
@@ -1,2 +1,3 @@
DIST python-xkbcommon-1.0.1.gh.tar.gz 79263 BLAKE2B 8bc128e592a02b14321fe087f7c0ae87a699e0284c3230fa2a0b1cf2e8105037fa0ace876216ec8a72cc49eb76fab0af83b7a5d83a3943f609954205d949def0 SHA512 1e0393c5d7e99d9a68168a5486a15b3598d8539b7a7b0a7c41a9c1a329cfe79d3f19556b481f5625e1bea1cc41f3394dcc1fc1bf1dbd98cd58db54f471ece5d5
DIST python-xkbcommon-1.0.gh.tar.gz 27258 BLAKE2B 3106877f8e87f50453a358eec4e6431642b00a6a2bc23d3088ef22379984869ec84cd042a1ac53dd72783f3005dad1efddf3f87410204b88bfde4f9da0044c97 SHA512 c7793d6f5517771006ff5a9c01deb9a37717157d7171af49ff459dc96b3b16a1d2d4c0f1272b5a8f683390de1e8e6a6ff92472f18828c7e38e0f2a1ee6f34f07
+DIST xkbcommon-1.5.tar.gz 79887 BLAKE2B f6a39b98fc97f12a2badfa53cf5445fad0018aaf03542d1945d36155e3c0abe92b4080f149d8c2bcc85ac72cef6a6099ca45afb043754b31a543f02820a33ebd SHA512 ab0d3f83d11038dd4ae98f9954f6082f214727720d0eced4c298943f4f26b19d9be42bc4215c4e6a5fa68214c4a0a5e88b30657a52e982a8b4c7e7b84c1c174b
diff --git a/dev-python/xkbcommon/xkbcommon-1.5.ebuild b/dev-python/xkbcommon/xkbcommon-1.5.ebuild
new file mode 100644
index 000000000000..ff9443b3c9b7
--- /dev/null
+++ b/dev-python/xkbcommon/xkbcommon-1.5.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for libxkbcommon using cffi"
+HOMEPAGE="
+ https://github.com/sde1000/python-xkbcommon/
+ https://pypi.org/project/xkbcommon/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+# x11-libs/libxkbcommon dep per README
+RDEPEND="
+ >=x11-libs/libxkbcommon-${PV}
+ $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ ' 'python*')
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf xkbcommon || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
next reply other threads:[~2024-07-06 5:29 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-07-06 5:29 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-27 9:53 [gentoo-commits] repo/gentoo:master commit in: dev-python/xkbcommon/ Michał Górny
2024-07-27 8:19 Arthur Zamarin
2024-07-07 17:14 Arthur Zamarin
2024-07-06 5:29 Michał Górny
2024-05-18 11:46 Michał Górny
2024-04-27 11:29 Michał Górny
2024-04-27 11:27 Michał Górny
2024-04-13 5:35 Arthur Zamarin
2023-10-27 18:27 Michał Górny
2023-06-11 9:21 Michał Górny
2023-05-04 17:04 Michał Górny
2023-05-03 6:55 Arthur Zamarin
2023-01-14 8:50 Joonas Niilola
2023-01-12 21:18 Yixun Lan
2023-01-12 7:06 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1720243760.3d15107bf45fe69c12c4464cdb8a802ff378e415.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox